Subject: Re: bug#59624: Usning global-mode-string for small screens

From: Heime <[email-masked]>
Date: Sun, 27 Nov 2022 17:04:20 +0000

I would need some more assistance to get this to work for me.

When should I update mode-line-format ?  

Call it first, followed by (push '("" act) global-mode-string).

Would I have to call (force-mode-line-update) ?

> > Sent: Sunday, November 27, 2022 at 8:08 PM
> > From: "Gabriel" [email-masked]
> > To: [email-masked]
> > Subject: bug#59624: Usning global-mode-string for small screens
> > 
> > Eli Zaretskii [email-masked] writes:
> > 
> > > > From: Gabriel [email-masked]
> > > > Date: Sun, 27 Nov 2022 02:32:35 -0300
> > > > 
> > > > You can customize the variable `mode-line-format' in order to change the position of` mode-line-misc-info', e.g.:
> > > > 
> > > > (setq act "Indic")
> > > > (push '("" act) global-mode-string)
> > > > 
> > > > (setq-default mode-line-format
> > > > '("%e" mode-line-front-space
> > > > (:propertize ("" mode-line-mule-info mode-line-client
> > > > mode-line-modified mode-line-remote)
> > > > display (min-width (5.0)))
> > > > mode-line-frame-identification mode-line-buffer-identification
> > > > mode-line-misc-info ;; <-- HERE
> > > > " " mode-line-position
> > > > (vc-mode vc-mode)
> > > > " " mode-line-modes mode-line-end-spaces))
> > > 
> > > Is there a bug or some issue here?
> > > 
> > > IOW, I don't understand what you wanted to say. Please explain.
> > > (Or did you send this to the wrong address?)
> > 
> > I wanted to respond to OP one way to customize the display position of
> > `global-mode-string' in mode-line, which I think could solve their
> > issue.
> > 
> > ---
> > Gabriel